sccs-diffs(1)

NAME
sccs-diffs - compare the working copy of a file with the SCCS history

SYNOPSIS
sccs diffs [options] [file1 .. filen]
sccs ldiffs [options] [file1 .. filen]

DESCRIPTION

The diffs subcommand compares (in diff(1) format) the working copy of a file that is checked out for editing, with a version from the SCCS history. sccs diffs uses the most recent checked-in version by default. The diffs subcommand accepts the same options as diff.

Any -r, -c, -i, -x, and -t options are passed to subcommand get. A -C option is passed to diff as -c. An -I option is passed to diff as -i.

The diffs subcommand calls the UNIX diff(1) command that is delivered with the SCCS packet. If you like to call the local diff(1) command that is in your PATH, use the ldiffs subcommand.

OPTIONS

All diff(1) options are supported and the following SCCS options:

-c date-time
 |-cdate-time
Use the most recent version checked in before the indicated date and time for comparison. date-time takes the form: yy[mm[dd[ hh[mm[ss]]]]]. Omitted units default to their maximum possible values; that is -c7502 is equivalent to -c750228235959.

-r[sid]
    Use the version corresponding to the indicated SID (delta).

    See sccs-get(1) formore information on the SID.

EXAMPLES

To compare the file xec.c in the current directory with te state in the SCCS history call:

    sccs diffs xec.c

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of sccs-diffs(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs diffs will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-add(1), sccs-admin(1), sccs-branch(1), sccs-cdc(1), sccs-check(1), sccs-clean(1), sccs-comb(1), sccs-commit(1), sccs-create(1), sccs-cvt(1), sccs-deledit(1), sccs-delget(1), sccs-delta(1), sccs-edit(1), sccs-editor(1), sccs-enter(1), sccs-fix(1), sccs-get(1), sccs-help(1), sccs-histfile(1), sccs-info(1), sccs-init(1), sccs-istext(1), sccs-log(1), sccs-print(1), sccs-prs(1), sccs-prt(1), sccs-rcs2sccs(1), sccs-remove(1), sccs-rename(1), sccs-rmdel(1), sccs-root(1), sccs-sact(1), sccs-sccsdiff(1), sccs-status(1), sccs-tell(1), sccs-unedit(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
sccs diffs was originally written by Eric Allman at UCB in 1980. It was later maintained by various people at AT&T and Sun Microsystems. Since 2006, it is maintained by Joerg Schilling.

SOURCE DOWNLOAD
A frequently updated source code for the SCCS suite is included in the schilytools project and may be retrieved from the schilytools project at Sourceforge at:

    http://sourceforge.net/projects/schilytools/

The download directory is:

    http://sourceforge.net/projects/schilytools/files/

Check for the schily-*.tar.bz2 archives.

Less frequently updated source code for the SCCS suite is at:

    http://sourceforge.net/projects/sccs/files/

Separate project information for the SCCS project may be retrieved from:

    http://sccs.sf.net